require 'net/http'
require 'uri'


class ExternalApi

	def initialize(amount = nil, tip = "15")
		@amount = amount.to_f
		@tip = tip.to_f
		@base_url = "http://office.code-runners.com:8888"
	end

	def get_amount
		@amount
	end

	def get_tip
		@tip
	end

	def calculate
		uri = URI.parse(@base_url)
		request = Net::HTTP::Post.new(uri)
		
		request.set_form_data(
		  "amount" => @amount.to_s,
		  "tip" => @tip.to_s,
		)

		req_options = {
		  use_ssl: uri.scheme == "https",
		}

		response = Net::HTTP.start(uri.hostname, uri.port, req_options) do |http|
		  http.request(request)
		end

		return response.body
	end
end